audiotool(1)

NAME
audiotool - manipulate audio data files.

SYNOPSIS
audiotool -append [-offset=pos] target audiofiles...
audiotool -build [-encoding=codec] target audiofiles...
audiotool -chart [-silence=value] [-framing=msec] audiofiles...
audiotool -info audiofile
audiotool -notation audiofile [``new-string'']
audiotool -play audiofiles...
audiotool -soundcard [index]
audiotool -strip [-silence=value] [-framing=msec] audiofiles...
audiotool -trim [-silence=value] [-framing=msec] [-padding=frames] audiofiles...
audiotool -version

DESCRIPTION
Audiotool is used to copy, manipulate, and examine the contents of audio files. These audio files may be raw headerless audio data or audio stored in common data files such as .wav or .au files. In the near future audiotool will also support packetized audio files such as .mp3 and .ogg.

-append
    appends the content of other audio files into an existing audio file. The offset to save within the existing file may be specified. If nessisary the content of the specified files will be re-encoded in the codec of the file being appended to.

-build
    build a brand new audio file from scratch and then copy content from existing audio files into it. The encoding of the new audio file will either be based on the file extension, the audio file that is being copied into it, or by specifying the encoding format directly.

-chart
    This is used to generate an energy chart profile of the audio file frame by frame. A * indicates solid audio content, a ^ indicates what might be a lead or trailer section of partial content, and a . indicates relative silence. Soon a autotrim option will be added to audiotool to remove silent frames.

-info
    The info command gives you basic information on the audio file, including what format it is stored as, what codec the audio data is encoded in, how much data is in the file, what the bit rate used is, etc.

-notation
    Notation can be used to either set or display the annotation stored in audio files which support annotations, such as .au and .wav files.

-play
    Plays the content of the audio file to the default system audio device (soundcard). Play is supported on w32 and posix systems that support oss audio. Future work will expand to additional platforms.

-strip
    Strips out all silent frames from an audio file. Silent frames are those which fall below a threashold and that have no peak impulse above the threashold.

-trim
    Removes leading and trailing "silence" from a file. The -padding option may be used to add additional silent frames at the end of the file after it has been trimed, as this may be needed for files that will later be used to join together phrases.

BUGS
At this time audiotool does not perform and ccaudio does not support sample rate conversion. Appending and building from files which are encoded at different sample rates could have ammusing results.

AUTHOR
Written by David Sugar.

REPORTING BUGS
Report bugs to <dyfet@gnu.org>.

COPYRIGHT
Copyright © 2004 Open Source Telecom Corp.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.